# Visualization
TKService
Image

# Image_DataMapIteratorOfColorPixelDataMap Class Reference

`#include <Image_DataMapIteratorOfColorPixelDataMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_DataMapIteratorOfColorPixelDataMap ()
Standard_EXPORT | Image_DataMapIteratorOfColorPixelDataMap (const Image_ColorPixelDataMap &aMap)
Standard_EXPORT void | Initialize (const Image_ColorPixelDataMap &aMap)
Standard_EXPORT const Aspect_ColorPixel & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Image_DataMapIteratorOfColorPixelDataMap::Image_DataMapIteratorOfColorPixelDataMap | ( |  | ) |

Standard_EXPORT Image_DataMapIteratorOfColorPixelDataMap::Image_DataMapIteratorOfColorPixelDataMap | ( | const Image_ColorPixelDataMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Image_DataMapIteratorOfColorPixelDataMap::Initialize | ( | const Image_ColorPixelDataMap & | aMap | ) |

Standard_EXPORT const Aspect_ColorPixel& Image_DataMapIteratorOfColorPixelDataMap::Key | ( |  | ) | const

void Image_DataMapIteratorOfColorPixelDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_DataMapIteratorOfColorPixelDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* Image_DataMapIteratorOfColorPixelDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& Image_DataMapIteratorOfColorPixelDataMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Image_DataMapIteratorOfColorPixelDataMap.hxx